Subject: Re: Fwd: URN Namespace for GEANT - Internet - Draft

From: Leslie Daigle <[email-masked]>
Date: Thu, 02 Nov 2006 13:53:54 -0500

In case anyone else, as I did, lost track of this while waiting for
it to appear in the drafts repository, it did eventually appear:

http://www.ietf.org/internet-drafts/draft-kalin-geant-urn-namespace-00.txt

Comments on the document itself:

It needs to use (and therefore reference) the updated registration
document, RFC3406, instead of this one:

>     [5]  Daigle, L., van Gulik, D., Iannella, R. and P. Faltstrom, "URN
>          Namespace Definition Mechanisms", BCP 33, RFC 2611, June 1999.

To that end, it's also missing a "Community Considerations" section.

Leslie.

Tomaz Kalin wrote:
> At 11:19 -0400 17/5/06, [email-masked] wrote:
>>
>> Is draft-kalin-geant-urn-namespace-01  initial submission? If yes, it
>> should be submitted with -00 version. Please do so. Thank you.
> 
> Thank you for the remainder
> 
> T Kalin
> Network Working Group                                            T.Kalin
> Internet-Draft                                                     DANTE
> Expires: November 5, 2006                                       M.Molina
>                                                                    DANTE
> 
>                                                              May 22, 2006
> 
> 
> 
>                         A URN Namespace for GEANT
>                  draft-kalin-geant-urn-namespace-00
> 
> 
> 
> 
> Status of this Memo
> 
> By submitting this Internet-Draft, each author represents that any
>    applicable patent or other IPR claims of which he or she is aware
>    have been or will be disclosed, and any of which he or she becomes
>    aware will be disclosed, in accordance with Section 6 of BCP 79.
> 
>    Internet-Drafts are working documents of the Internet Engineering
>    Task Force (IETF), its areas, and its working groups.  Note that
>    other groups may also distribute working documents as Internet-
>    Drafts.
> 
>    Internet-Drafts are draft documents valid for a maximum of six months
>    and may be updated, replaced, or obsoleted by other documents at any
>    time.  It is inappropriate to use Internet-Drafts as reference
>    material or to cite them other than as "work in progress."
> 
>    The list of current Internet-Drafts can be accessed at http://
>    www.ietf.org/ietf/1id-abstracts.txt.
> 
> The list of Internet-Draft Shadow Directories can be accessed at
>    http://www.ietf.org/shadow.html.
> 
>    This Internet-Draft will expire on November 5, 2006.
> 
> Copyright Notice
> 
>    Copyright (C) The Internet Society (2006).  All Rights Reserved.
> 
> Abstract
> 
>    This document describes a proposed URN (Uniform Resource Name)
>    namespace that would be managed by DANTE for naming persistent
>    resources defined by GEANT, its projects, activities, working groups
>    and other designated subordinates.
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006              [Page 1]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
> 1. Introduction and community considerations
> 
>    The Consortium of European Academic and Research Networks (GEANT)
>    provides high-speed, high-quality network connectivity for education
>    institutions, universities, and research centres in Europe. The
>    network infrastructure is composed by several National Research and
>    Education Networks (NRENs) and their  European-wide interconnection,
>    GEANT. The current network is GÉANT2 [6], and is the seventh gene-
>    ration of pan-European research and education network, successor to
>    the pan-European multi-gigabit research network GÉANT. DANTE [7] is a
>    UK based organization representing the members of the Consortium and
>    operating the GEANT2 Network. This cooperative work is mainly done in
>    the framework of EU funded projects. The biggest of such activities is
>    currently the Gn2 project [6], started Sep 2004, that follows other
>    successful ones having evolved the European Networks for Research and
>    Education for almost two decades. Itis expected that these activities
>    and the network evolution will continue to be supported by European
>    Union and all European Governments in the years to come, as the
>    existence of a state of the art network for Research in Europe is
>    viewed as top    strategic importance by them. We will refer to the
>    organisation involved in these  projects or benefiting from their
>    outcome as the "GEANT community".
> 
>    The GEANT community produces many kinds of documents: specifications,
>    working drafts, project reports, schemas, stylesheets, etc.
>    The community wishes to provide global, distributed, persistent,
>    location-independent names for these resources.  The Uniform Resource
>    Name (URN) variant of URIs meets these requirements.
> 
>    The GEANT community and other GEANT-affiliated groups would benefit
>    from the GEANT URN proposal by having an easy, efficient way to
>    assign globally unique, persistent identifiers to resources that they
>    create.  The nature of GEANT work is that it is carried out to serve
>    the needs of many communities of interest.  A namespace
>    managed so as to facilitate the creation, registration and resolution
>    of unique, persistent identifiers would be of great value for GEANT,
>    its affiliates and the higher education community generally.
>    The possibility of fitting the naming needs under existing namespaces
>    has been considered, but the conclusion was that the number of the
>    activities and the size of the developers community is such that
>    creating a lot of (possibly uncoordinated) dependencies from other
>    namespaces is undesirable
> 
> 
>    The proposed URN namespace specification is for a formal namespace.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006               [Page 2]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
> 2. Specification Template
> 
>    Namespace ID:
> 
>          "geant" requested.
> 
>    Registration Information:
> 
>          Registration Version Number 1
> 
>          Registration Date: 2006-03-21
> 
>    Registrant of the namespace:
> 
>          DANTE
>          ATTN: Maurizio Molina
>          City House
>          126 - 130 Hills Road
>          Cambridge CB2 1PQ
>          United Kingdom
>          Phone: +44 1223 371340
> 
> 
> 
>          Contact: Tomaz Kalin
>          Affiliation: DANTE
>          City House
>          126 - 130 Hills Road
>          Cambridge CB2 1PQ
> 
>          [email-masked]
>          Phone: +386 1 430 3055
> 
>    Syntactic structure:
> 
>          The Namespace Specific Strings (NSS) of all URNs assigned by
>          GEANT will conform to the syntax defined in section 2.2 of
>          RFC2141, "URN Syntax." [1] In addition, all GEANT URN NSSs will
>          consist of a left-to-right series of tokens delimited by
>          colons.  The left-to-right sequence of colon-delimited tokens
>          corresponds to descending nodes in a tree.  To the right of the
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006              [Page 3]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
>          lowest naming authority node there may be zero, one or more
>          levels of hierarchical naming nodes terminating in a rightmost
>          leaf node.  See the section entitled "Identifier assignment"
>          below for more on the semantics of NSSs.  This syntax
>          convention is captured in the following normative ABNF rules
>          for GEANT NSSs (see RFC2234): [2]
> 
> 
>          GEANT-NSS        =   1*(subStChar) 0*(":" 1*(subStChar))
> 
> 
> 
>          subStChar       =   trans / "%" HEXDIG HEXDIG
> 
> 
> 
>          trans           =   ALPHA / DIGIT / other / reserved
> 
> 
> 
>          other           =   "(" / ")" / "+" / "," / "-" / "." /
> 
>                               "=" / "@" / ";" / "$" /
> 
>                               "_" / "!" / "*" / "'"
> 
> 
>          reserved        =   "%" / "/" / "?" / "#"
> 
>          The exclusion of the colon from the list of "other" characters
>          means that the colon can only occur as a delimiter between
>          string tokens.  Note that this ABNF rule set guarantees that
>          any valid GEANT NSS is also a valid RFC2141 NSS.
> 
>    Relevant ancillary documentation:
> 
>          None.
> 
>    Identifier uniqueness:
> 
>          It is the responsibility of DANTE to guarantee
>          uniqueness of the names of immediately subordinate naming
>          authorities.  Each lower-level naming authority in turn
>          inherits the responsibility of guaranteeing uniqueness of names
>          in their branch of the naming tree.
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006              [Page 4]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
>    Identifier persistence:
> 
>          DANTE bears ultimate responsibility for maintaining
>          the usability of GEANT urns over time. This responsibility may
>          be delegated to subordinate naming authorities per the
>          discussion in the section below on identifier assignment.  That
>          section provides a mechanism for the delegation to be revoked
>          in the case a subordinate naming authority ceases to function.
> 
>    Identifier assignment:
> 
>          DANTE will create an initial series of  immediately
>          subordinate naming authorities, and will define a process for
>          adding to that list of authorities.  Each top-level working
>          group of GEANT will be invited to designate a naming authority
>          and to suggest one or more candidate names.
> 
>          Institutions and communities affiliated with GEANT may request,
>          through their designated GEANT liaison, that they be granted
>          GEANT-subordinate naming authority status.  They may propose
>          candidate names for that authority.  One way for such entities
>          to guarantee uniqueness of their proposed name is to base it on
>          a DNS name.  That is, if e.g. the German National Research and
>          Education Network wished to be designated a subordinate naming
>          authority under GEANT, the institutional GEANT liaison could
>          propose to DANTE to be delegated control over names beginning
>          with, "urn:geant:dfn.de."  Institutions seeking affiliation
>          with GEANT should send email to [email-masked],
>          nominating an institutional liaison and providing contact
>          information for that person.
> 
>          On at least an annual basis, DANTE will contact the
>          liaisons or directors of each immediately subordinate naming
>          authority.  If there is no response, or if the respondent
>          indicates that they wish to relinquish naming authority, the
>          authority over that branch of the tree reverts to GEANT.  This
>          process will be enforced recursively by each naming authority
>          on its subordinates.  This process guarantees that
>          responsibility for each branch of the tree will lapse for less
>          than one year at worst before being reclaimed by a superior
>          authority.
> 
>          Lexical equivalence of two GEANT namespace specific strings
>          (NSSs) is defined below as an exact, case-sensitive string
>          match.  DANTE will assign names of immediately subordinate
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006              [Page 5]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
>          naming authorities in lower case only.  This forestalls the
>          registration of two GEANT-subordinate naming authorities whose
>          names differ only in case.
> 
>    Identifier resolution:
> 
>          DANTE will maintain an index of all GEANT and GEANT
>          workgroup assigned URNs on its web site,
>          http://www.dante.net/urn-geant/urn-geant.html.
>          That index will map URNs to resource identifiers, usually URLs.
>          GEANT- affiliated naming authorities will specify how to
>          resolve the URNs they assign if they are resolvable.
> 
>    Lexical equivalence:
> 
>          Lexical equivalence of two GEANT namespace specific strings
>          (NSSs) is defined as an exact, case-sensitive string match.
> 
>    Conformance with URN syntax:
> 
>          All GEANT NSSs fully conform to RFC2141 syntax rules for NSSs.
> 
>    Validation mechanism:
> 
>          As specified in the "Identifier resolution" section above,
>          DANTE will maintain an index of all GEANT and GEANT
>          workgroup assigned URNs on its web site,
>          http://www.dante.net/urn-geant/urn-geant.html
>          Presence in that index implies that a given URN is valid.
>          GEANT-affiliated naming authorities will specify how to validate
>          the URNs they assign.
> 
>    Scope:
> 
>          Global.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006              [Page 6]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
> 3. Security Considerations
> 
>    There are no additional security considerations beyond those normally
>    associated with the use and resolution of URNs in general.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006               [Page 7]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
> 4. Namespace Considerations
> 
>    Registration of an NID specific to GEANT is reasonable given the
>    following considerations:
> 
>    1.  GEANT would like to assign URNs to some very fine-grained objects
>    This does not seem to be the primary intended use of the XMLORG
>    namespace (RFC3120) [3], or the more tightly controlled OASIS
>    namespace (RFC 3121) [4].
> 
>    2.  GEANT seeks naming autonomy. GEANT is not a member of OASIS, so
>    becoming a subordinate naming authority under the OASIS URN space
>    is not an option.
> 
>    3.  GEANT will want to assign URNs to non-XML objects as well.  That
>    is another reason that XMLORG may not be an appropriate higher-level
>    naming authority for GEANT.
> 
>    Some GEANT-developed schema and namespaces may be good candidates for
>    inclusion in the XMLORG or possible future "EU" registry.  The
>    fact that such an object might already have a GEANT-assigned URN
>    shouldn't be a hindrance.  Work in progress to update RFC2611 [5]
>    includes an explicit statement that two or more URNs may point to the
>    same resource. A resource  with a GEANT-assigned
>    namespace-specific-string  would, of course, be given an XMLORG or EU
>    namespace-specific-string as it enters the XMLORG or "EU" registry.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006              [Page 8]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
> 5. IANA Considerations
> 
>    This document is intended as a formal request to IANA for the
>    registration of a "GEANT" NID within the IANA registry of URN NIDs.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006               [Page 9]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
> References
> 
>    [1]  Moats, R., "URN Syntax", RFC 2141, May 1997.
> 
>    [2]  Crocker, D. and P. Overell, "Augmented BNF for Syntax
>         Specifications: ABNF", RFC 2234, November 1997.
> 
>    [3]  Best, K. and N. Walsh, "A URN Namespace for XML.org", RFC 3120,
>         June 2001.
> 
>    [4]  Best, K. and N. Walsh, "A URN Namespace for OASIS", RFC 3121,
>         June 2001.
> 
>    [5]  Daigle, L., van Gulik, D., Iannella, R. and P. Faltstrom, "URN
>         Namespace Definition Mechanisms", BCP 33, RFC 2611, June 1999.
> 
>    [6]  GÉANT2 project's website http://www.geant2.net/
> 
>    [7]  DANTE's company website http://www.dante.net/
> 
> 
> Authors' Addresses
> 
>    T. Kalin
>    c/o DANTE
>    City House
>    126 - 130 Hills Road
>    Cambridge
>    CB2 1PQ
>    Unired Kingdom
> 
>    EMail: [email-masked]
> 
> 
>    Maurizio Molina
>    City House
>    126 - 130 Hills Road
>    Cambridge
>    CB2 1PQ
>    United Kingdom
> 
> 
>    EMail: [email-masked]
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006              [Page 10]
> 
> Internet-Draft          A URN Namespace for GEANT           May 2006
> 
> 
> Full Copyright Statement
> 
>    Copyright (C) The Internet Society (2006).  All Rights Reserved.
> 
>    This document and translations of it may be copied and furnished to
>    others, and derivative works that comment on or otherwise explain it
>    or assist in its implementation may be prepared, copied, published
>    and distributed, in whole or in part, without restriction of any
>    kind, provided that the above copyright notice and this paragraph are
>    included on all such copies and derivative works.  However, this
>    document itself may not be modified in any way, such as by removing
>    the copyright notice or references to the Internet Society or other
>    Internet organizations, except as needed for the purpose of
>    developing Internet standards in which case the procedures for
>    copyrights defined in the Internet Standards process must be
>    followed, or as required to translate it into languages other than
>    English.
> 
>    The limited permissions granted above are perpetual and will not be
>    revoked by the Internet Society or its successors or assigns.
> 
>    This document is subject to the rights, licenses and restrictions
>    contained in BCP 78, and except as set forth therein, the authors
>    retain all their rights."
> 
>    This document and the information contained herein are provided on
>    an "AS IS" basis and THE CONTRIBUTOR, THE ORGANIZATION HE/SHE
>    REPRESENTS OR IS SPONSORED BY (IF ANY), THE INTERNET SOCIETY AND THE
>    INTERNET ENGINEERING TASK FORCE DISCLAIM ALL WARRANTIES, EXPRESS OR
>    IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF
>    THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED
>    WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
> 
> Acknowledgement
> 
>    Funding for the RFC Editor function is currently provided by the
>    Internet Society.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires November 22, 2006             [Page 11]

---

From: Tomaz Kalin <[email-masked]>
Date: Fri, 3 Nov 2006 17:01:13 +0100

>To that end, it's also missing a "Community Considerations" section.

Dear Leslie,

Thank you for pointing out that I have to reference the current  RFC.

Attached is the version-01 of the document.

Best regards

Tomaz

---

From: Leslie Daigle <[email-masked]>
Date: Fri, 03 Nov 2006 11:21:56 -0500

ACK -- looks good.

As I think you know, this does have to be formally submitted
to the Internet-Drafts administrator to be the "official" -01.
And, as we are just about to start an IETF face-to-face
meeting week, the I-D repository is closed to new submissions.

Sometime next week, the administrator will start accepting
submissions again.

Leslie.

Tomaz Kalin wrote:
> Expires: May 3 2007                                       M.Molina
>                                                                    DANTE
> 
>                                                              November 3, 
> 2006
> 
> 
> 
>                  draft-kalin-geant-urn-namespace-01
> 
> 
> 
> 
> Status of this Memo
> 
>    namespace that would be managed by DANTE, representing European
>    Research and academic networks, for naming persistent resources
>    defined by GEANT, the Consortium of European R&E networks, its
>    projects, activities, working groups    and other designated
>    subordinates.
> 
> 
> 
> Kalin & Molina         Expires May 3, 2007              [Page 1]
> 
> Internet-Draft          A URN Namespace for GEANT        November 2006
> 
> 
> Kalin & Molina         Expires May 3, 2007               [Page 2]
> 
> Internet-Draft          A URN Namespace for GEANT        November 2006
> 
> 
> Kalin & Molina         Expires May 3, 2007              [Page 3]
> 
> Internet-Draft          A URN Namespace for GEANT        November 2006
> 
> 
> Kalin & Molina         Expires May 3, 2007              [Page 4]
> 
> Internet-Draft          A URN Namespace for GEANT      November 2006
> 
>    Identifier persistence:
> 
> Kalin & Molina         Expires May 3, 2007              [Page 5]
> 
> Internet-Draft          A URN Namespace for GEANT      November 2006
> 
> 
> Kalin & Molina         Expires May 3, 2007              [Page 6]
> 
> Internet-Draft          A URN Namespace for GEANT       November 2006
> 
> 
> Kalin & Molina         Expires May 3, 2007               [Page 7]
> 
> Internet-Draft          A URN Namespace for GEANT       November 2006
> 
> 
> 5. Community Considerations
> 
>    The assignment and use of identifiers within the namespace are open,
>    and the related rule is established by DANTE. Registration agencies -
>    the next level naming authorities will be the European National Research
>    and Education Networks and the established organizational cross-border
>    formations.
> 
>    It is expected that the majority of the NRENs and all GEANT base 
> activities
>    make use of the GEANT namespace.
> 
>    After the establishment of the GEANT namespace the consortium will, 
> as soon
>    as practical,    establish a resolution service (analogously to other
>    distributed pan - European services, like EduROAM, PerfSONAR, etc) for
>    the namespace clients.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Kalin & Molina         Expires May 3, 2007              [Page 8]
> 
> Internet-Draft          A URN Namespace for GEANT       November 2006
> 
> 
> 5. IANA Considerations
> 
> Kalin & Molina         Expires May 3, 2007               [Page 9]
> 
> Internet-Draft          A URN Namespace for GEANT       November 2006
> 
> 
> References
> 
>         Namespace Definition Mechanisms", RFC 3406, October 2002.
> 
> Kalin & Molina         Expires May 3, 2007              [Page 10]
> 
> Internet-Draft          A URN Namespace for GEANT       November 2006
> 
> 
> Full Copyright Statement
> 
> Kalin & Molina         Expires May 3, 2007             [Page 11]